## libmecab-java 0.98

=== Makefile ===
TARGET=MeCab
JAVAC=javac
JAVA=java
JAR=jar
CXX=c++
INCLUDE=/usr/local/jdk/include

PACKAGE=org/chasen/mecab

LIBS=`mecab-config --libs`
INC=`mecab-config --cflags` -I$(INCLUDE) -I$(INCLUDE)/linux

all:
	$(CXX) -O3 -c -fpic $(TARGET)_wrap.cxx  $(INC)
	$(CXX) -shared  $(TARGET)_wrap.o -o lib$(TARGET).so $(LIBS)
	$(JAVAC) $(PACKAGE)/*.java
	$(JAVAC) test.java
	$(JAR) cfv $(TARGET).jar $(PACKAGE)/*.class

test:
	env LD_LIBRARY_PATH=. $(JAVA) test

clean:
	rm -fr *.jar *.o *.so *.class $(PACKAGE)/*.class
	
cleanall:
	rm -fr $(TARGET).java *.cxx

## libmecab-java 0.99.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 JAVA=java
 JAR=jar
 CXX=c++
-INCLUDE=/usr/local/jdk/include
+INCLUDE=/usr/lib/jvm/java-6-openjdk/include
 
 PACKAGE=org/chasen/mecab

=== debian/changelog ===
libmecab-java (0.99.3-1) unstable; urgency=low

  * New upstream. (Closes: #666327)
  * Bump Standards-Version to 3.9.3
  * debian/watch:
    + no longer uses googlecode.d.n
  * debian/control: add Vcs-*. 
  * debian/copyright: Update copyright-format to 1.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 31 Mar 2012 18:29:58 +0900

libmecab-java (0.98-6) unstable; urgency=low

  * debian/source/format: 3.0 (quilt)
  * debian/control: Bump Standards-Version to 3.9.2 (with no change).

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 12:01:11 +0900

libmecab-java (0.98-5) unstable; urgency=low

  * use /usr/lib/jvm/default-java (Closes: #559996)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Mar 2011 11:42:25 +0900

libmecab-java (0.98-4) unstable; urgency=low

  * fixed forget install MeCab-0.98.jar.
  * use cdbs to get $(DEB_UPSTREAM_VERSON).

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 12 Nov 2009 10:33:33 +0900

libmecab-java (0.98-3) unstable; urgency=low

  * debian/rules: use debian/install instead of override_* targets 
    (Closes: #553686).

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 11 Nov 2009 11:27:37 +0900

libmecab-java (0.98-2) unstable; urgency=low

  * debian/control: remove wrong Vcs-* fields

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 25 Oct 2009 16:36:56 +0900

libmecab-java (0.98-1) unstable; urgency=low

  * Initial release (Closes: #551611)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Oct 2009 20:00:03 +0900

=== debian/control ===
Source: libmecab-java
Section: java
Priority: optional
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, 
		libmecab-dev(>= 0.99.3), default-jdk, mecab-jumandic
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/mecab/
Vcs-Git: git://git.debian.org/collab-maint/libmecab-java.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmecab-java.git;a=summary

Package: libmecab-java
Architecture: all
Depends: ${misc:Depends}, libmecab-jni
Description: mecab binding for Java - java classes
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).
 .
 This package is built for Java.


Package: libmecab-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mecab binding for Java - native interface
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).
 .
 This package is built for Java.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- INCLUDE=/usr/lib/jvm/default-java/include

override_dh_install:
	cp MeCab.jar MeCab-$(DEB_UPSTREAM_VERSION).jar
	dh_install

## libmecab-java 0.99.6

=== debian/changelog ===
libmecab-java (0.99.6-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #873990)
  * Fixed the broken symlink (Closes: #857233)
  * Removed the build dependency on cdbs
  * Standards-Version updated to 4.1.2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 01 Dec 2017 09:55:04 +0100

libmecab-java (0.99.6-2) unstable; urgency=medium

  * Update Vcs-*
  * Bump Standards-Version to 4.0.0 (without changes)
  * debian/compat: Bump to 10
  * Update Homepage URL

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 18 Jul 2017 10:36:35 +0900

libmecab-java (0.99.6-1) unstable; urgency=low

  * Imported Upstream version 0.99.6
  * Bump Standards-Version to 3.9.4 (with no changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Aug 2013 16:40:16 +0900

libmecab-java (0.99.3-2) unstable; urgency=low

  [ Niels Thykier ]
  * Fix "FTBFS with Java7" (Closes: #678410)
    + Pass -source 1.5 and -target 1.5 to ensure backwards that
      backwards compatible Java byte code is generated.
    + Pass -encoding to javac compiler so it is aware of the
      encoding of the source files.

  [ TANIGUCHI Takaki ]
  * debian/control: add versioned B-D for libmecab-dev
  * debian/control: Change Maintainer address to Debian Java Team.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 11 May 2013 16:31:59 +0900

=== debian/control ===
Source: libmecab-java
Section: java
Priority: optional
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 libmecab-dev(>= 0.99.6),
 mecab-jumandic
Standards-Version: 4.1.2
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libmecab-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libmecab-java.git
Homepage: http://sourceforge.net/projects/mecab/

Package: libmecab-java
Architecture: all
Depends: libmecab-jni, ${misc:Depends}
Description: mecab binding for Java - java classes
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).
 .
 This package is built for Java.

Package: libmecab-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: mecab binding for Java - native interface
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).
 .
 This package is built for Java.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- JAVAC="javac -source 1.7 -target 1.7 -encoding UTF-8" \
	                 INCLUDE=/usr/lib/jvm/default-java/include

override_dh_install:
	cp MeCab.jar MeCab-$(DEB_VERSION_UPSTREAM).jar
	dh_install
